<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::MeshCoP::JoinerRouterKekTlv Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d2/d9a/classThread_1_1MeshCoP_1_1JoinerRouterKekTlv.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="../../dc/d59/classThread_1_1MeshCoP_1_1JoinerRouterKekTlv-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::MeshCoP::JoinerRouterKekTlv Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This class implements <a class="el" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html">Joiner</a> <a class="el" href="../../db/d81/classThread_1_1Router.html" title="This class represents a Thread Router. ">Router</a> KEK TLV generation and parsing.  
 <a href="../../d2/d9a/classThread_1_1MeshCoP_1_1JoinerRouterKekTlv.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../dd/d6b/meshcop__tlvs_8hpp_source.html">src/core/thread/meshcop_tlvs.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Thread::MeshCoP::JoinerRouterKekTlv:</div>
<div class="dyncontent">
<div class="center"><img src="../../dd/d04/classThread_1_1MeshCoP_1_1JoinerRouterKekTlv__inherit__graph.png" border="0" usemap="#Thread_1_1MeshCoP_1_1JoinerRouterKekTlv_inherit__map" alt="Inheritance graph"/></div>
<map name="Thread_1_1MeshCoP_1_1JoinerRouterKekTlv_inherit__map" id="Thread_1_1MeshCoP_1_1JoinerRouterKekTlv_inherit__map">
<area shape="rect" id="node2" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html" title="This class implements MeshCoP TLV generation and parsing. " alt="" coords="35,5,189,31"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Thread::MeshCoP::JoinerRouterKekTlv:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/d7b/classThread_1_1MeshCoP_1_1JoinerRouterKekTlv__coll__graph.png" border="0" usemap="#Thread_1_1MeshCoP_1_1JoinerRouterKekTlv_coll__map" alt="Collaboration graph"/></div>
<map name="Thread_1_1MeshCoP_1_1JoinerRouterKekTlv_coll__map" id="Thread_1_1MeshCoP_1_1JoinerRouterKekTlv_coll__map">
<area shape="rect" id="node2" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html" title="This class implements MeshCoP TLV generation and parsing. " alt="" coords="35,5,189,31"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a272c1c9e83bf5fac3af525468e26274a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a272c1c9e83bf5fac3af525468e26274a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d9a/classThread_1_1MeshCoP_1_1JoinerRouterKekTlv.html#a272c1c9e83bf5fac3af525468e26274a">Init</a> ()</td></tr>
<tr class="memdesc:a272c1c9e83bf5fac3af525468e26274a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method initializes the TLV. <br /></td></tr>
<tr class="separator:a272c1c9e83bf5fac3af525468e26274a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a769c0076efc90fba1061ab57f7b81dab"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d9a/classThread_1_1MeshCoP_1_1JoinerRouterKekTlv.html#a769c0076efc90fba1061ab57f7b81dab">IsValid</a> () const </td></tr>
<tr class="memdesc:a769c0076efc90fba1061ab57f7b81dab"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method indicates whether or not the TLV appears to be well-formed.  <a href="#a769c0076efc90fba1061ab57f7b81dab">More...</a><br /></td></tr>
<tr class="separator:a769c0076efc90fba1061ab57f7b81dab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacd0995c2c89f5b1e96263ffad37bd9b"><td class="memItemLeft" align="right" valign="top">const uint8_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d9a/classThread_1_1MeshCoP_1_1JoinerRouterKekTlv.html#aacd0995c2c89f5b1e96263ffad37bd9b">GetKek</a> () const </td></tr>
<tr class="memdesc:aacd0995c2c89f5b1e96263ffad37bd9b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns a pointer to the <a class="el" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html">Joiner</a> <a class="el" href="../../db/d81/classThread_1_1Router.html" title="This class represents a Thread Router. ">Router</a> KEK.  <a href="#aacd0995c2c89f5b1e96263ffad37bd9b">More...</a><br /></td></tr>
<tr class="separator:aacd0995c2c89f5b1e96263ffad37bd9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57c875a24cfcd7c9acb3fff9fdad7dfc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d9a/classThread_1_1MeshCoP_1_1JoinerRouterKekTlv.html#a57c875a24cfcd7c9acb3fff9fdad7dfc">SetKek</a> (const uint8_t *aKek)</td></tr>
<tr class="memdesc:a57c875a24cfcd7c9acb3fff9fdad7dfc"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the <a class="el" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html">Joiner</a> <a class="el" href="../../db/d81/classThread_1_1Router.html" title="This class represents a Thread Router. ">Router</a> KEK.  <a href="#a57c875a24cfcd7c9acb3fff9fdad7dfc">More...</a><br /></td></tr>
<tr class="separator:a57c875a24cfcd7c9acb3fff9fdad7dfc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classThread_1_1MeshCoP_1_1Tlv"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classThread_1_1MeshCoP_1_1Tlv')"><img src="../../closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html">Thread::MeshCoP::Tlv</a></td></tr>
<tr class="memitem:a6b50f0231142d7c272ac1732ae0fdca7 inherit pub_methods_classThread_1_1MeshCoP_1_1Tlv"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723c">Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#a6b50f0231142d7c272ac1732ae0fdca7">GetType</a> (void) const </td></tr>
<tr class="memdesc:a6b50f0231142d7c272ac1732ae0fdca7 inherit pub_methods_classThread_1_1MeshCoP_1_1Tlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the Type value.  <a href="#a6b50f0231142d7c272ac1732ae0fdca7">More...</a><br /></td></tr>
<tr class="separator:a6b50f0231142d7c272ac1732ae0fdca7 inherit pub_methods_classThread_1_1MeshCoP_1_1Tlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4de18174724fddc7ac516c219cd16cd inherit pub_methods_classThread_1_1MeshCoP_1_1Tlv"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#af4de18174724fddc7ac516c219cd16cd">SetType</a> (<a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723c">Type</a> aType)</td></tr>
<tr class="memdesc:af4de18174724fddc7ac516c219cd16cd inherit pub_methods_classThread_1_1MeshCoP_1_1Tlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the Type value.  <a href="#af4de18174724fddc7ac516c219cd16cd">More...</a><br /></td></tr>
<tr class="separator:af4de18174724fddc7ac516c219cd16cd inherit pub_methods_classThread_1_1MeshCoP_1_1Tlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae448a8785f6715b07e973d570e715c69 inherit pub_methods_classThread_1_1MeshCoP_1_1Tlv"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae448a8785f6715b07e973d570e715c69"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae448a8785f6715b07e973d570e715c69">GetLength</a> (void) const </td></tr>
<tr class="memdesc:ae448a8785f6715b07e973d570e715c69 inherit pub_methods_classThread_1_1MeshCoP_1_1Tlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the Length value. <br /></td></tr>
<tr class="separator:ae448a8785f6715b07e973d570e715c69 inherit pub_methods_classThread_1_1MeshCoP_1_1Tlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0524dd75d253e44a53dab3cc0de3393e inherit pub_methods_classThread_1_1MeshCoP_1_1Tlv"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#a0524dd75d253e44a53dab3cc0de3393e">SetLength</a> (uint8_t aLength)</td></tr>
<tr class="memdesc:a0524dd75d253e44a53dab3cc0de3393e inherit pub_methods_classThread_1_1MeshCoP_1_1Tlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the Length value.  <a href="#a0524dd75d253e44a53dab3cc0de3393e">More...</a><br /></td></tr>
<tr class="separator:a0524dd75d253e44a53dab3cc0de3393e inherit pub_methods_classThread_1_1MeshCoP_1_1Tlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a18444989a157f5031a38debf2dcc7f inherit pub_methods_classThread_1_1MeshCoP_1_1Tlv"><td class="memItemLeft" align="right" valign="top">uint8_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#a4a18444989a157f5031a38debf2dcc7f">GetValue</a> ()</td></tr>
<tr class="memdesc:a4a18444989a157f5031a38debf2dcc7f inherit pub_methods_classThread_1_1MeshCoP_1_1Tlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns a pointer to the Value.  <a href="#a4a18444989a157f5031a38debf2dcc7f">More...</a><br /></td></tr>
<tr class="separator:a4a18444989a157f5031a38debf2dcc7f inherit pub_methods_classThread_1_1MeshCoP_1_1Tlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6bc977a4aa9bf597c749416508ff4560 inherit pub_methods_classThread_1_1MeshCoP_1_1Tlv"><td class="memItemLeft" align="right" valign="top">const uint8_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#a6bc977a4aa9bf597c749416508ff4560">GetValue</a> () const </td></tr>
<tr class="memdesc:a6bc977a4aa9bf597c749416508ff4560 inherit pub_methods_classThread_1_1MeshCoP_1_1Tlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns a pointer to the Value.  <a href="#a6bc977a4aa9bf597c749416508ff4560">More...</a><br /></td></tr>
<tr class="separator:a6bc977a4aa9bf597c749416508ff4560 inherit pub_methods_classThread_1_1MeshCoP_1_1Tlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2f476effa6f74d304b38fd6280ede7d inherit pub_methods_classThread_1_1MeshCoP_1_1Tlv"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html">Tlv</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#aa2f476effa6f74d304b38fd6280ede7d">GetNext</a> ()</td></tr>
<tr class="memdesc:aa2f476effa6f74d304b38fd6280ede7d inherit pub_methods_classThread_1_1MeshCoP_1_1Tlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns a pointer to the next TLV.  <a href="#aa2f476effa6f74d304b38fd6280ede7d">More...</a><br /></td></tr>
<tr class="separator:aa2f476effa6f74d304b38fd6280ede7d inherit pub_methods_classThread_1_1MeshCoP_1_1Tlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c3f6fdc27bfc07420cb5e93fc697433 inherit pub_methods_classThread_1_1MeshCoP_1_1Tlv"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5c3f6fdc27bfc07420cb5e93fc697433"></a>
const <a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html">Tlv</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetNext</b> () const </td></tr>
<tr class="separator:a5c3f6fdc27bfc07420cb5e93fc697433 inherit pub_methods_classThread_1_1MeshCoP_1_1Tlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classThread_1_1MeshCoP_1_1Tlv"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classThread_1_1MeshCoP_1_1Tlv')"><img src="../../closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html">Thread::MeshCoP::Tlv</a></td></tr>
<tr class="memitem:ae7665134b0a5f9bf1bac5d92f94b723c inherit pub_types_classThread_1_1MeshCoP_1_1Tlv"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723c">Type</a> { <br />
&#160;&#160;<a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723cae12a4cc6d12bfb5821538955dbe75bd9">kChannel</a> = OT_MESHCOP_TLV_CHANNEL, 
<br />
&#160;&#160;<a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723caa9071fb936c9c5959673c1a01b749187">kPanId</a> = OT_MESHCOP_TLV_PANID, 
<br />
&#160;&#160;<a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723ca8284d02fc86493933557089fc2612390">kExtendedPanId</a> = OT_MESHCOP_TLV_EXTPANID, 
<br />
&#160;&#160;<a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723cad13dd60ed3ccd4929136d4000cb1eaa8">kNetworkName</a> = OT_MESHCOP_TLV_NETWORKNAME, 
<br />
&#160;&#160;<a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723ca298843e1a585806301b979fb6d09d9fa">kPSKc</a> = OT_MESHCOP_TLV_PSKC, 
<br />
&#160;&#160;<a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723ca1ffaf05b4a01bf034910c2dd3fd20f0d">kNetworkMasterKey</a> = OT_MESHCOP_TLV_MASTERKEY, 
<br />
&#160;&#160;<a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723ca3276da81b3d06cf49454c96961c2d8b9">kMeshLocalPrefix</a> = OT_MESHCOP_TLV_MESHLOCALPREFIX, 
<br />
&#160;&#160;<a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723ca6962bd34550d667052182d5b1cdfef81">kSteeringData</a> = OT_MESHCOP_TLV_STEERING_DATA, 
<br />
&#160;&#160;<a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723caedc62b0d75eebbeccc481d47bbaa870e">kBorderAgentLocator</a> = OT_MESHCOP_TLV_BORDER_AGENT_RLOC, 
<br />
&#160;&#160;<a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723ca71490a42993556070d78493cd3e07bfe">kCommissionerId</a> = OT_MESHCOP_TLV_COMMISSIONER_ID, 
<br />
&#160;&#160;<a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723ca24bb4f275666e7497a95cefe0c71a605">kCommissionerSessionId</a> = OT_MESHCOP_TLV_COMM_SESSION_ID, 
<br />
&#160;&#160;<a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723ca28cfab045b97eb6e1cb33cf237aa1759">kSecurityPolicy</a> = OT_MESHCOP_TLV_SECURITYPOLICY, 
<br />
&#160;&#160;<a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723caffae15e5b99dfcca436459ce97ea0e77">kGet</a> = OT_MESHCOP_TLV_GET, 
<br />
&#160;&#160;<a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723ca375c5274f23fc4aec1ae5ad6bd982b46">kActiveTimestamp</a> = OT_MESHCOP_TLV_ACTIVETIMESTAMP, 
<br />
&#160;&#160;<a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723ca9c1c9d4d51a6c69ab9c28483d7543f22">kState</a> = OT_MESHCOP_TLV_STATE, 
<br />
&#160;&#160;<a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723ca7e2d07d7f66933ac537365f8d1e2ebda">kJoinerDtlsEncapsulation</a> = OT_MESHCOP_TLV_JOINER_DTLS, 
<br />
&#160;&#160;<a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723caf613ac2c0b0759dc2c30411e332e27c7">kJoinerUdpPort</a> = OT_MESHCOP_TLV_JOINER_UDP_PORT, 
<br />
&#160;&#160;<a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723ca702743ebc87dabaad0c62a6f943ecd8a">kJoinerIid</a> = OT_MESHCOP_TLV_JOINER_IID, 
<br />
&#160;&#160;<a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723ca57297de000b3da8605dce6fbac47a597">kJoinerRouterLocator</a> = OT_MESHCOP_TLV_JOINER_RLOC, 
<br />
&#160;&#160;<a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723ca71c1c882ed5db9cb1a4a74860e2a7074">kJoinerRouterKek</a> = OT_MESHCOP_TLV_JOINER_ROUTER_KEK, 
<br />
&#160;&#160;<a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723ca3877078f260380996b8f966454d8434f">kProvisioningUrl</a> = OT_MESHCOP_TLV_PROVISIONING_URL, 
<br />
&#160;&#160;<a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723cab8be3974cd7225f0b0d478e653d7a58b">kPendingTimestamp</a> = OT_MESHCOP_TLV_PENDINGTIMESTAMP, 
<br />
&#160;&#160;<a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723cae36223bf97a152504152f80244dfb1ef">kDelayTimer</a> = OT_MESHCOP_TLV_DELAYTIMER, 
<br />
&#160;&#160;<a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723ca0db3399f3144f49e13c82cfd9e4334b3">kChannelMask</a> = OT_MESHCOP_TLV_CHANNELMASK, 
<br />
&#160;&#160;<a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723cabe4a9a87f8ddf53f392c7a7ab71b0108">kCount</a> = OT_MESHCOP_TLV_COUNT, 
<br />
&#160;&#160;<a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723ca9e5f98fee7330842f01dc35f48952f5c">kPeriod</a> = OT_MESHCOP_TLV_PERIOD, 
<br />
&#160;&#160;<a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723cabc51f580ba10e7525f954bd85f727326">kScanDuration</a> = OT_MESHCOP_TLV_SCAN_DURATION, 
<br />
&#160;&#160;<a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723ca74118060435e0b90609412ba6734b166">kEnergyList</a> = OT_MESHCOP_TLV_ENERGY_LIST, 
<br />
&#160;&#160;<a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723ca5c40c089870e9e78a8dabdb6dd33d609">kDiscoveryRequest</a> = OT_MESHCOP_TLV_DISCOVERYREQUEST, 
<br />
&#160;&#160;<a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723cae14ced69f89618812b0eb6931d8a4141">kDiscoveryResponse</a> = OT_MESHCOP_TLV_DISCOVERYRESPONSE
<br />
 }<tr class="memdesc:ae7665134b0a5f9bf1bac5d92f94b723c"><td class="mdescLeft">&#160;</td><td class="mdescRight">MeshCoP TLV Types.  <a href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723c">More...</a><br /></td></tr>
</td></tr>
<tr class="separator:ae7665134b0a5f9bf1bac5d92f94b723c inherit pub_types_classThread_1_1MeshCoP_1_1Tlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b689284cb1e7053661bd6ce82b5d9e4 inherit pub_types_classThread_1_1MeshCoP_1_1Tlv"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom">{ <a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#a8b689284cb1e7053661bd6ce82b5d9e4a17c6adf86493005eadb7bef9eacbc16c">kExtendedLength</a> = 255
 }<tr class="memdesc:a8b689284cb1e7053661bd6ce82b5d9e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Length values.  <a href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#a8b689284cb1e7053661bd6ce82b5d9e4">More...</a><br /></td></tr>
</td></tr>
<tr class="separator:a8b689284cb1e7053661bd6ce82b5d9e4 inherit pub_types_classThread_1_1MeshCoP_1_1Tlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classThread_1_1MeshCoP_1_1Tlv"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classThread_1_1MeshCoP_1_1Tlv')"><img src="../../closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html">Thread::MeshCoP::Tlv</a></td></tr>
<tr class="memitem:a5560e18099408223e7a5c610e44bdc7f inherit pub_static_methods_classThread_1_1MeshCoP_1_1Tlv"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#a5560e18099408223e7a5c610e44bdc7f">GetTlv</a> (const <a class="el" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage, <a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723c">Type</a> aType, uint16_t aMaxLength, <a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html">Tlv</a> &amp;aTlv)</td></tr>
<tr class="memdesc:a5560e18099408223e7a5c610e44bdc7f inherit pub_static_methods_classThread_1_1MeshCoP_1_1Tlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This static method reads the requested TLV out of <code>aMessage</code>.  <a href="#a5560e18099408223e7a5c610e44bdc7f">More...</a><br /></td></tr>
<tr class="separator:a5560e18099408223e7a5c610e44bdc7f inherit pub_static_methods_classThread_1_1MeshCoP_1_1Tlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc7c287ad7c84b712621db6fa5cbd0f9 inherit pub_static_methods_classThread_1_1MeshCoP_1_1Tlv"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#afc7c287ad7c84b712621db6fa5cbd0f9">GetValueOffset</a> (const <a class="el" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMesasge, <a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723c">Type</a> aType, uint16_t &amp;aOffset, uint16_t &amp;aLength)</td></tr>
<tr class="memdesc:afc7c287ad7c84b712621db6fa5cbd0f9 inherit pub_static_methods_classThread_1_1MeshCoP_1_1Tlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This static method finds the offset and length of a given TLV type.  <a href="#afc7c287ad7c84b712621db6fa5cbd0f9">More...</a><br /></td></tr>
<tr class="separator:afc7c287ad7c84b712621db6fa5cbd0f9 inherit pub_static_methods_classThread_1_1MeshCoP_1_1Tlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class implements <a class="el" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html">Joiner</a> <a class="el" href="../../db/d81/classThread_1_1Router.html" title="This class represents a Thread Router. ">Router</a> KEK TLV generation and parsing. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="aacd0995c2c89f5b1e96263ffad37bd9b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const uint8_t* Thread::MeshCoP::JoinerRouterKekTlv::GetKek </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns a pointer to the <a class="el" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html">Joiner</a> <a class="el" href="../../db/d81/classThread_1_1Router.html" title="This class represents a Thread Router. ">Router</a> KEK. </p>
<dl class="section return"><dt>Returns</dt><dd>A pointer to the <a class="el" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html">Joiner</a> <a class="el" href="../../db/d81/classThread_1_1Router.html" title="This class represents a Thread Router. ">Router</a> KEK. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d2/d9a/classThread_1_1MeshCoP_1_1JoinerRouterKekTlv_aacd0995c2c89f5b1e96263ffad37bd9b_icgraph.png" border="0" usemap="#d2/d9a/classThread_1_1MeshCoP_1_1JoinerRouterKekTlv_aacd0995c2c89f5b1e96263ffad37bd9b_icgraph" alt=""/></div>
<map name="d2/d9a/classThread_1_1MeshCoP_1_1JoinerRouterKekTlv_aacd0995c2c89f5b1e96263ffad37bd9b_icgraph" id="d2/d9a/classThread_1_1MeshCoP_1_1JoinerRouterKekTlv_aacd0995c2c89f5b1e96263ffad37bd9b_icgraph">
<area shape="rect" id="node2" href="../../dd/d9d/classThread_1_1MeshCoP_1_1JoinerRouter.html#a8ab1b7f1b2f78a2bebeeb91872a14b6f" title="This method sets the Joiner UDP Port. " alt="" coords="267,5,480,44"/>
<area shape="rect" id="node3" href="../../da/d96/group__config-router.html#ga1a81bcce900d21d72fe374af1f756956" title="Set the Joiner UDP Port. " alt="" coords="528,12,666,37"/>
<area shape="rect" id="node4" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="714,5,869,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a769c0076efc90fba1061ab57f7b81dab"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Thread::MeshCoP::JoinerRouterKekTlv::IsValid </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method indicates whether or not the TLV appears to be well-formed. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">TRUE</td><td>If the TLV appears to be well-formed. </td></tr>
    <tr><td class="paramname">FALSE</td><td>If the TLV does not appear to be well-formed. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d2/d9a/classThread_1_1MeshCoP_1_1JoinerRouterKekTlv_a769c0076efc90fba1061ab57f7b81dab_cgraph.png" border="0" usemap="#d2/d9a/classThread_1_1MeshCoP_1_1JoinerRouterKekTlv_a769c0076efc90fba1061ab57f7b81dab_cgraph" alt=""/></div>
<map name="d2/d9a/classThread_1_1MeshCoP_1_1JoinerRouterKekTlv_a769c0076efc90fba1061ab57f7b81dab_cgraph" id="d2/d9a/classThread_1_1MeshCoP_1_1JoinerRouterKekTlv_a769c0076efc90fba1061ab57f7b81dab_cgraph">
<area shape="rect" id="node2" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae448a8785f6715b07e973d570e715c69" title="This method returns the Length value. " alt="" coords="267,5,421,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a57c875a24cfcd7c9acb3fff9fdad7dfc"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::MeshCoP::JoinerRouterKekTlv::SetKek </td>
          <td>(</td>
          <td class="paramtype">const uint8_t *&#160;</td>
          <td class="paramname"><em>aKek</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method sets the <a class="el" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html">Joiner</a> <a class="el" href="../../db/d81/classThread_1_1Router.html" title="This class represents a Thread Router. ">Router</a> KEK. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aIid</td><td>A pointer to the <a class="el" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html">Joiner</a> <a class="el" href="../../db/d81/classThread_1_1Router.html" title="This class represents a Thread Router. ">Router</a> KEK. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d2/d9a/classThread_1_1MeshCoP_1_1JoinerRouterKekTlv_a57c875a24cfcd7c9acb3fff9fdad7dfc_icgraph.png" border="0" usemap="#d2/d9a/classThread_1_1MeshCoP_1_1JoinerRouterKekTlv_a57c875a24cfcd7c9acb3fff9fdad7dfc_icgraph" alt=""/></div>
<map name="d2/d9a/classThread_1_1MeshCoP_1_1JoinerRouterKekTlv_a57c875a24cfcd7c9acb3fff9fdad7dfc_icgraph" id="d2/d9a/classThread_1_1MeshCoP_1_1JoinerRouterKekTlv_a57c875a24cfcd7c9acb3fff9fdad7dfc_icgraph">
<area shape="rect" id="node2" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html#a8639c79f9379e80285fa9f362dbacdd1" title="This method sends MGMT_COMMISSIONER_SET. " alt="" coords="267,5,515,44"/>
<area shape="rect" id="node3" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html#a142100561cda243c291e4bc7a4d6511a" title="This method stops the Commissioner service. " alt="" coords="563,5,785,44"/>
</map>
</div>
</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>src/core/thread/<a class="el" href="../../dd/d6b/meshcop__tlvs_8hpp_source.html">meshcop_tlvs.hpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><b>MeshCoP</b></li><li class="navelem"><a class="el" href="../../d2/d9a/classThread_1_1MeshCoP_1_1JoinerRouterKekTlv.html">JoinerRouterKekTlv</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:37 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
